Home

# Class goog.editor.range.Point

One endpoint of a range, represented as a Node and and offset.

Instance Method Summary
| `getParentPoint() ⇒ ?goog.editor.range.Point` Gets the point of this point's node in the DOM.

Static Method Summary
| `createDeepestPoint(?Node node, number offset, boolean= opt_trendLeft) ⇒ ?goog.editor.range.Point` Construct the deepest possible point in the DOM that's equivalent to the given point, expressed as a node and an offset.
| `getPointAtEndOfNode(?Node node) ⇒ ?goog.editor.range.Point` Construct a point at the very end of the given node.